from django.urls import path
from . import views

app_name = 'core'

urlpatterns = [
    path("", views.index, name="index"),
    path('kanban/', views.kanban_board, name='kanban'),
    path('article/<int:article_id>/', views.article_detail, name='article_detail'),
    path('update_task_status/', views.update_task_status, name='update_task_status'),
    path('delete_task/<int:task_id>/', views.delete_task, name='delete_task'),
    path('chat/', views.chat_view, name='chat'),
    path('chat/<int:conversation_id>/', views.chat_view, name='chat_detail'),
    path('cleanup_tasks/', views.cleanup_tasks, name='cleanup_tasks'),
    path('settings/', views.settings_view, name='settings'),
]